<?php

	// Register and load the widget

	function finaco_info_callout() {

	    register_widget( 'UpfronWp_info_callout' );

	}

	add_action( 'widgets_init', 'finaco_info_callout' );



// Creating the widget

	class UpfronWp_info_callout extends WP_Widget {

	 

	function __construct() {

		parent::__construct(

			'finaco_info_callout', // Base ID

			__('Wpazure : Conatct Info Widget','finaco'), // Widget Name

			array(

				'classname' => 'finaco_info_callout',

				'description' => __('finaco theme information widget','finaco'),

			),

			array(

				'width' => 600,

			)

		);

		

	 }

	

	public function widget( $args, $instance ) {

		

		if ( isset( $instance[ 'fa_icon_address' ])){

	$fa_icon_address = $instance[ 'fa_icon_address' ];

	}

	else {

	$fa_icon_address = 'fa-map-marker';

	}

	if ( isset( $instance[ 'address_text' ])){

	$address_text = $instance[ 'address_text' ];

	}

	else {

	$address_text =  'Durham Street Hialeah, FL 33010';

	}

	if ( isset( $instance[ 'address_link' ])){

	$address_link = $instance[ 'address_link' ];

	}

	else {

	$address_link = '#';

	}

	

	



	if ( isset( $instance[ 'fa_icon_email' ])){

	$fa_icon_email = $instance[ 'fa_icon_email' ];

	}

	else {

	$fa_icon_email = 'fa-envelope';

	}

	if ( isset( $instance[ 'email_text' ])){

	$email_text = $instance[ 'email_text' ];

	}

	else {

	$email_text =  'info@yourdomain.com';

	}

	if ( isset( $instance[ 'email_link' ])){

	$email_link = $instance[ 'email_link' ];

	}

	else {

	$email_link = '#';

	}

	

	echo $args['before_widget'];?>

	

						<ul >

							

							<li>

								<a href="<?php echo esc_url($email_link); ?>">

									<i class="fa <?php echo esc_attr($fa_icon_email); ?>" aria-hidden="true"></i> <span> <?php echo sanitize_email($email_text); ?> </span> 

								</a>

							</li>

							<li>

								<a href="<?php echo esc_url($address_link);?>">

									<i class="fa <?php echo esc_attr($fa_icon_address); ?>" aria-hidden="true"></i> <span> <?php  echo esc_html($address_text);?> </span> 

								</a>

							</li>

						</ul>

					



	<?php

	echo $args['after_widget'];

	}

	         

	// Widget Backend

	

	public function form( $instance ) {

	if ( isset( $instance[ 'fa_icon_address' ])){

	$fa_icon_address = $instance[ 'fa_icon_address' ];

	}

	else {

	$fa_icon_address = 'fa-envelope';

	}

	if ( isset( $instance[ 'address_text' ])){

	$address_text = $instance[ 'address_text' ];

	}

	else {

	$address_text =  '+8800 235 2451';

	}

	if ( isset( $instance[ 'address_link' ])){

	$address_link = $instance[ 'address_link' ];

	}

	else {

	$address_link = '#';

	}

	

	



	if ( isset( $instance[ 'fa_icon_email' ])){

	$fa_icon_email = $instance[ 'fa_icon_email' ];

	}

	else {

	$fa_icon_email = 'fa-envelope';

	}

	if ( isset( $instance[ 'email_text' ])){

	$email_text = $instance[ 'email_text' ];

	}

	else {

	$email_text =  'info@yourdomain.com';

	}

	if ( isset( $instance[ 'email_link' ])){

	$email_link = $instance[ 'email_link' ];

	}

	else {

	$email_link = '#';

	}



	// Widget admin form

	?>

	

	<h4 for="<?php echo esc_attr($this->get_field_id( 'fa_icon_email' )); ?>"><?php _e('FontAwesome icon two','finaco' ); ?></h4>

	

	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'fa_icon_email' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'fa_icon_email' )); ?>" type="text" placeholder="fa-envelope" value="<?php if($fa_icon_email) echo esc_attr( $fa_icon_email ); ?>" />

	<span><?php _e('Link to get FontAwesome icon','finaco'); ?>  <a href="<?php echo 'https://fontawesome.com/v4.7.0/icons/';?>" target="_blank" ><?php echo 'fa-icon'; ?></a></span>

	

	

	<h4 for="<?php echo esc_attr($this->get_field_id( 'email_text' )); ?>"><?php _e('Text two','finaco' ); ?></h4>

	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'email_text' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'email_text' )); ?>" type="text" value="<?php if($email_text) echo sanitize_email( $email_text ); ?>" />

	

	<h4 for="<?php echo esc_attr($this->get_field_id( 'email_link' )); ?>"><?php _e('Link two','finaco' ); ?></h4>

	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'email_link' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'email_link' )); ?>" type="text" value="<?php if($email_link) echo sanitize_email($email_link);?>" /><br><br>

	

	<h4 for="<?php echo esc_attr( $this->get_field_id( 'fa_icon_address' )); ?>"><?php _e('FontAwesome icon one','finaco' ); ?>    

	 </h4>

	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'fa_icon_address' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'fa_icon_address' )); ?>" type="text" placeholder="fa-phone" value="<?php if($fa_icon_address) echo esc_attr( $fa_icon_address );?>" />

	<span><?php _e('Link to get FontAwesome icon','finaco'); ?>  <a href="<?php echo 'https://fontawesome.com/v4.7.0/icons/';?>" target="_blank" ><?php echo 'fa-icon'; ?></a></span>

	<h4 for="<?php echo esc_attr($this->get_field_id( 'address_text' )); ?>"><?php _e('Title One','finaco' ); ?></h4>

	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'address_text' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'address_text' )); ?>" type="text" value="<?php if($address_text) echo esc_attr( $address_text );?>" />

	

	<h4 for="<?php echo esc_attr($this->get_field_id( 'address_link' )); ?>"><?php _e('Link one','finaco' ); ?></h4>

	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'address_link' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'address_link' )); ?>" type="text" value="<?php if($address_link) echo esc_url($address_link);?>" /><br><br>

	

	

	<?php

    }

	// Updating widget replacing old instances with new

	public function update( $new_instance, $old_instance ) {

	

	$instance = array();

		$instance['fa_icon_address'] = ( ! empty( $new_instance['fa_icon_address'] ) ) ? strip_tags( $new_instance['fa_icon_address'] ) : '';

		$instance['address_text'] = ( ! empty( $new_instance['address_text'] ) ) ? strip_tags( $new_instance['address_text'] ) : '';

		$instance['address_link'] = ( ! empty( $new_instance['address_link'] ) ) ? esc_url_raw($new_instance['address_link']) : '';

		

		$instance['fa_icon_email'] = ( ! empty( $new_instance['fa_icon_email'] ) ) ? strip_tags( $new_instance['fa_icon_email'] ) : '';

		$instance['email_text'] = ( ! empty( $new_instance['email_text'] ) ) ? strip_tags( $new_instance['email_text'] ) : '';

		$instance['email_link'] = ( ! empty( $new_instance['email_link'] ) ) ? sanitize_email($new_instance['email_link']) : '';

		

		return $instance;

	}

	}

	?>