<?php

/**

 * Get Pro Version section.

 *

 * @package finaco

 */



if ( ! defined( 'ABSPATH' ) ) {

	exit; // Exit if accessed directly.

}



if ( class_exists( 'WP_Customize_Section' ) && ! class_exists( 'finaco_Get_Pro_Section' ) ) {

	/**

	 * Create our get pro version section.

	 */

	class finaco_Get_Pro_Section extends WP_Customize_Section {

		/**

		 * finaco pro section name

		 *

		 * @var $type finaco-pro-section

		 */

		public $type = 'finaco-pro-section';



		/**

		 * finaco get pro version url

		 *

		 * @var $pro_url

		 */

		public $pro_url = '';



		/**

		 * finaco get pro vertion text

		 *

		 * @var $pro_text

		 */

		public $pro_text = '';



		/**

		 * finaco get pro vertion id

		 *

		 * @var $id

		 */

		public $id = '';



		/**

		 * Json

		 *

		 * @return array()  json data

		 */

		public function json() {

			$json             = parent::json();

			$json['pro_text'] = $this->pro_text;

			$json['pro_url']  = esc_url( $this->pro_url );

			$json['id']       = $this->id;



			return $json;

		}



		/**

		 * Render template

		 */

		protected function render_template() {

			?>

			<li id="accordion-section-{{ data.id }}" class="finaco-get-pro-version-accordion-section control-section-{{ data.type }} cannot-expand accordion-section">

				<h3 class="wp-ui-highlight"><a class="wp-ui-text-highlight" href="{{{ data.pro_url }}}" target="_blank">{{ data.pro_text }}</a></h3>

			</li>

			<?php

		}

	}

}



if ( ! function_exists( 'upfront_customizer_section_pro_static' ) ) {

	add_action( 'customize_controls_enqueue_scripts', 'upfront_customizer_section_pro_static' );

	/**

	 * Add JS/CSS for our controls

	 */

	function upfront_customizer_section_pro_static() {

		wp_enqueue_style(

			'finaco-pro-section-css',

			FINACO_THEME_URI . 'inc/finaco-pro/css/get-pro-section.css',

			array(),

			FINACO_THEME_VERSION

		);



		wp_enqueue_script(

			'finaco-pro-section-js',

			FINACO_THEME_URI . 'inc/finaco-pro/js/get-pro-section.js',

			array( 'customize-controls' ),

			FINACO_THEME_VERSION,

			true

		);

	}

}

